Package be.fgov.ehealth.dics.protocol.v4

# Class FindByIngredientType

java.lang.Object
be.fgov.ehealth.dics.protocol.v4.FindByIngredientType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:33+02:00", comments="JAXB RI v4.0.5") public class FindByIngredientType extends Object implements Serializable

Java class for FindByIngredientType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="FindByIngredientType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice>
               <element name="SubstanceCode" type="{urn:be:fgov:ehealth:dics:protocol:v4}StandardSubstanceCodeCriterionType"/>
               <element name="SubstanceName" type="{urn:be:fgov:ehealth:dics:protocol:v4}StandardSubstanceNameCriterionType"/>
             </choice>
             <element name="Strength" type="{urn:be:fgov:ehealth:dics:core:v4:core}QuantityType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FindByIngredientType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `QuantityType`
  `getStrength()`
  Gets the value of the strength property.
  `StandardSubstanceCodeCriterionType`
  `getSubstanceCode()`
  Gets the value of the substanceCode property.
  `StandardSubstanceNameCriterionType`
  `getSubstanceName()`
  Gets the value of the substanceName property.
  `void`
  `setStrength(QuantityType value)`
  Sets the value of the strength property.
  `void`
  `setSubstanceCode(StandardSubstanceCodeCriterionType value)`
  Sets the value of the substanceCode property.
  `void`
  `setSubstanceName(StandardSubstanceNameCriterionType value)`
  Sets the value of the substanceName property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FindByIngredientType

    public FindByIngredientType()

- ## Method Details

  - ### getSubstanceName

    public StandardSubstanceNameCriterionType getSubstanceName()
    Gets the value of the substanceName property.
    Returns:
      possible object is `StandardSubstanceNameCriterionType`

  - ### setSubstanceName

    public void setSubstanceName(StandardSubstanceNameCriterionType value)
    Sets the value of the substanceName property.
    Parameters:
      `value` - allowed object is `StandardSubstanceNameCriterionType`

  - ### getSubstanceCode

    public StandardSubstanceCodeCriterionType getSubstanceCode()
    Gets the value of the substanceCode property.
    Returns:
      possible object is `StandardSubstanceCodeCriterionType`

  - ### setSubstanceCode

    public void setSubstanceCode(StandardSubstanceCodeCriterionType value)
    Sets the value of the substanceCode property.
    Parameters:
      `value` - allowed object is `StandardSubstanceCodeCriterionType`

  - ### getStrength

    public QuantityType getStrength()
    Gets the value of the strength property.
    Returns:
      possible object is `QuantityType`

  - ### setStrength

    public void setStrength(QuantityType value)
    Sets the value of the strength property.
    Parameters:
      `value` - allowed object is `QuantityType`